Package Details: irpf 2023.1.5-1

Git Clone URL: https://aur.archlinux.org/irpf.git (read-only, click to copy)
Package Base: irpf
Description: Brazilian physical person income tax (IRPF) program
Upstream URL: https://www.gov.br/receitafederal/pt-br/assuntos/meu-imposto-de-renda
Licenses: custom
Submitter: calendulish
Maintainer: dbermond
Last Packager: dbermond
Votes: 50
Popularity: 0.001482
First Submitted: 2013-04-11 13:25 (UTC)
Last Updated: 2023-10-31 22:44 (UTC)

Dependencies (4)

Required by (0)

Sources (4)

Latest Comments

1 2 3 4 5 6 .. 11 Next › Last »

manouchk commented on 2023-05-28 01:03 (UTC) (edited on 2023-05-28 01:11 (UTC) by manouchk)

Could gvfs package be an optional dependency as it is necessary in order to get the Pre-filled form functionality? By the way thank you @yusefmhg for the very usefull information about gvfs and pre-filled form!

Blumberg commented on 2023-05-20 17:42 (UTC)

Versão 1.3 disponível Version 1.3 is available with sha256: 0b52429e577318efc34e50ad2fbdbe224204801a4bbda56c989a34f2e43e04f6

yusefmhg commented on 2023-04-25 18:36 (UTC)

The pre-filled form functionality depends on the gvfs package. Shouldn't it be an optional dependency for this package?

dbermond commented on 2023-04-16 16:49 (UTC)

@jonasmalacofilho My opinion is that this is user responsibility. Users should control their java environment through archlinux-java or create their own launch scripts. The Wiki article you linked is related to user management of Java (not about packaging Java applications), and the Java Package Guidelines does not tell about doing this. That being said, I also think that java 11 is old by now, and it's a bit annoying for the user to deal with archlinux-java before launching irpf, or to create a custom script for this. So I've added your suggestion with modifications. But there is a problem: dealing with a hardcoded java version in a launch script of an AUR package is not trivial like in the official repository packages. In official repos, there is only a single provider for 'jre-runtime=11', which is jre11-openjdk. In the AUR, there are at least 4 or 5 providers that I could count by doing a quick search. The path '/usr/lib/jvm/java-11-openjdk/bin' covers only openjdk, and will not work if the user have another jre package providing 'jre-runtime=11'. I've added only support for openjdk and oracle jdk, which seems to be the most used ones, as a package cannot (and should not) support every single dependency variant. TLDR: this should be made by the user, but given the annoyance I've implemented it, and the solution is not perfect in an AUR package.

jonasmalacofilho commented on 2023-03-15 13:09 (UTC)

Since it depends on java-runtime=11, it should probably also start using that specific runtime, instead of whatever runtime happens to be the default on the system.

Suggested patch:

diff --git a/irpf.sh b/irpf.sh
index 023399494827..e6a48aeaa083 100755
--- a/irpf.sh
+++ b/irpf.sh
@@ -1,3 +1,4 @@
 #!/bin/sh

+export PATH=/usr/lib/jvm/java-11-openjdk/bin/:"$PATH"
 exec java -Xmx512m -jar /usr/share/java/irpf/irpf.jar "$@"

Related: https://wiki.archlinux.org/title/Java#Launching_an_application_with_the_non-default_java_version

dbermond commented on 2023-03-09 18:51 (UTC)

@kenmatrix I've adopted and updated the package.

kenmatrix commented on 2023-03-09 14:10 (UTC)

@afterSt0rm é possível você atualizar o PKGBUILD para que o seja baixado a versão 2023 e não a 2022?

plpbs commented on 2022-06-27 21:36 (UTC)

Versão 1.7 disponível: https://downloadirpf.receita.fazenda.gov.br/irpf/2022/irpf/arquivos/IRPF2022-1.7.zip

gbc921 commented on 2022-05-22 02:18 (UTC) (edited on 2022-05-23 20:35 (UTC) by gbc921)

Versão 1.6 disponível: https://downloadirpf.receita.fazenda.gov.br/irpf/2022/irpf/arquivos/IRPF2022-1.6.zip

O sha256 dele é 463503d9c79bf526de7b13ef89555d9b365ea7546d2f2dc3b4cb4dc4eaffb829

afterSt0rm commented on 2022-04-29 01:59 (UTC)

Fala galera, eu adotei o pacote e considerando que a Receita recomenda a versão 11 do JAVA, eu alterei o PKGBUILD para travar a versão e um alerta no post-install para que os usuários alterem a versão do JAVA.